@font-face {
  font-family: america;
  src: url(./america.ttf);
}

/* Box sizing rules */
:root {
  --background-color: #0d132d;
  --wp--preset--color--white: #fff;
  --wp--preset--color--deep-navy-blue: #0d132d;
  --wh-header--height: 60px;
  --wh-header--border-color: hsl(
    from var(--wp--preset--color--white) h s l / 0.2
  );
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
* {
  margin: 0;
  padding: 0;
  font: inherit;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  background-color: var(--background-color);
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

.america-font {
  font-family: america;
}

body {
  background-size: cover;
  background-image: url(./media/stars.png);
  background-size: 40%;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--wh-header--height);
  background-color: var(--wp--preset--color--deep-navy-blue);
  box-shadow: inset 0 -1px 0 var(--wh-header--border-color);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 0px 10px;
  z-index: 999;
}

header .logo {
  height: 60px;
  max-width: 95vw;
  padding: 10px 20px 10px 10px;

  border-right: 1px solid var(--wh-header--border-color);
}

header .header-img {
  width: 24px;

  filter: brightness(0) invert(1);
}

header .header-links {
  display: flex;
  gap: 12px;
  height: 100%;
  padding: 0px 10px;
  border-left: 1px solid var(--wh-header--border-color);
  align-items: center;
}

header .title {
  color: white;
  font-size: 24px;
}

section {
}

canvas {
  position: absolute;
  z-index: 99;
  pointer-events: none;
  max-width: 99vw;
}

#hero {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;

  min-height: 90vh;
  margin-top: 60px;

  /*background: linear-gradient(0deg, #000000d4 2%, transparent 63%), url(/media/declaration.png);*/
  background: url(./media/declaration_blank.png);
  background-size: contain;
  background-repeat: no-repeat;
  padding-top: 40px;
  background-position: bottom;
}

.top-gradient {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
  pointer-events: none;
  background: linear-gradient(0deg, #0d132d 2%, transparent 63%);

  background-image: linear-gradient(
    180deg,
    hsla(from var(--wp--preset--color--deep-navy-blue) h s l / 0%) 69.52%,
    var(--wp--preset--color--deep-navy-blue) 100%
  );
}

.hero-stuff {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  height: 100%;
  margin-bottom: 52px;
}

#hero p {
  width: 1000px;
  font-size: 1.125rem;
  margin-top: 80px;
  /* background-image: url(/media/tile.png); */
  font-weight: 400;
  max-width: 90vw;
  line-height: 25px;
}

.contract {
  font-size: 18px;
  background-color: #363327d4;
  padding: 2px 16px;
  color: white;
  padding: 4px 28px;
}

.bottom-left {
  position: absolute;
  bottom: 0;
  left: 0;
  filter: drop-shadow(5px 9px 20px #000000);
}

.top-right {
  position: absolute;
  top: 8px;
  right: 0;
  filter: drop-shadow(5px 9px 20px #000000);
  max-width: 60vw;
}

#about {
  display: flex;
  flex-direction: row;
  text-align: center;
  border-bottom: solid 4px var(--wh-header--border-color);
  width: 1200px;
  max-width: 98vw;
}

.video-wrapper {
  position: relative;
  display: flex;
  justify-content: center;
  width: fit-content;
}

video {
  max-width: 90vw;
  width: 1200px;
  max-width: 98vw;
}

.inset-shadow {
  z-index: 99;
  position: absolute;
  width: 100%;
  height: 100%;
  box-shadow: inset 4px 6px 3px var(--background-color),
    inset -4px -4px 4px var(--background-color);
  pointer-events: none;
}

#about h1 {
  font-size: 3rem;
}

.about-img {
  width: 480px;
}

.about-content {
  width: 60ch;
  font-size: 1.5rem;
  text-align: left;
  padding-left: 8px;
  max-width: 90vw;
}

#tokenomics {
  display: flex;
  flex-direction: row;
  text-align: center;
  justify-content: flex-end;

  width: 1200px;
  max-width: 98vw;
}

#tokenomics h1 {
  font-size: 3rem;
}

.tokenomics-img {
  width: 474px;
}

.tokenomics-content {
  width: 60ch;
  font-size: 1.5rem;
  text-align: right;
  padding-right: 8px;
  max-width: 90vw;
}

#two {
  z-index: 99;
  position: relative;
  padding-top: 120px;
  padding-bottom: 120px;
  background-color: var(--background-color);
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#three {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 120px;
  padding-bottom: 120px;
}

.top-gradient-two {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
  pointer-events: none;
  background: linear-gradient(0deg, #0d132d 2%, transparent 63%);
  background-image: linear-gradient(
    0deg,
    hsla(from var(--wp--preset--color--deep-navy-blue) h s l / 0%) 69.52%,
    var(--wp--preset--color--deep-navy-blue) 100%
  );
}

#four {
  z-index: 99;
  position: relative;
  padding-top: 100px;
  padding-bottom: 120px;
  background-color: var(--background-color);
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.meme-gallery {
  display: flex;
  flex-wrap: wrap;
  width: 900px;
  max-width: 90vw;
}

.meme-gallery > img {
  flex: 0 0 33.3333%;
  /* padding: 10px; */
  max-width: 90vw;
  width: 200px;
}

.agree {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  z-index: 9999;
  align-items: center;
  justify-content: center;
  background: #00000059;
}

.text-box {
  background-color: var(--background-color);
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 40px 20px;
  gap: 20px;
  font-size: 20px;
  border-radius: 2px;
}

.agree-buttons {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.agree-buttons a {
  color: inherit;
}

#yes {
  cursor: pointer;
  font-family: america;
  background-color: green;
  font-size: 24px;
  padding: 4px;
  border-radius: 4px;
}

#yes:hover {
  transform: scale(1.05);
}

.hide {
  display: none !important;

  pointer-events: none;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

@media screen and (max-width: 900px) {
  #about,
  #tokenomics {
    flex-direction: column;
  }

  #hero {
    background-size: cover;
  }

  header .title.america-font {
    display: none;
  }

  #three h2,
  #four h2 {
    font-size: 3rem !important;
  }

  .meme-gallery > img {
    width: unset;
  }

  #hero p {
    width: 1000px;
    font-size: 1.125rem;
    margin-top: 200px;
    /* background-image: url(/media/tile.png); */
    font-weight: 400;
    max-width: 90vw;
    line-height: 25px;
    background: #0000002b;
    color: white;
    padding: 12px;
  }
}
